Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class VariableInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.VariableInfo

public final class VariableInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

Holds information about a workflow variable.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `ALL_TYPES`
`static java.lang.String` | `DEFAULT_DATE_FORMAT` Format used when setting a `TYPE_DATE` variable from a String.
`static java.lang.String` | `TYPE_BOOL`
`static java.lang.String` | `TYPE_DATE`
`static java.lang.String` | `TYPE_DOUBLE`
`static java.lang.String` | `TYPE_ENTITY`
`static java.lang.String` | `TYPE_INT`
`static java.lang.String` | `TYPE_OBJECT`
`static java.lang.String` | `TYPE_SESSION`
`static java.lang.String` | `TYPE_STRING`
`static java.lang.String` | `TYPE_XML`

Constructor Summary
`VariableInfo(java.lang.String name, java.lang.Object value)` Create a new `VariableInfo` object.
`VariableInfo(java.lang.String name, java.lang.String type)` Create a new `VariableInfo` object.
`VariableInfo(java.lang.String name, java.lang.String type, java.lang.Object value)` Create a new `VariableInfo` object.
`VariableInfo(java.lang.String name, java.lang.String type, java.lang.Object value, VariableTypeInfo vti)` Create a new `VariableInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `VariableInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `VariableInfo` objects for equality.
`java.lang.String` | `getName()` Return the variable name.
`VariableTypeInfo` | `getPluginVariableTypeInfo()`
`java.lang.String` | `getType()` Return the variable type.
`java.lang.Object` | `getValue()` Return the variable value.
`boolean` | `isPluginDefined()`
`java.lang.String` | `toString()` Return a string representation of the object.
`static void` | `validateType(java.lang.String type)` Check the specified type name for validity.
`static void` | `validateTypes(java.lang.String[] types)` Check the specified type names for validity.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

### TYPE_INT

    public static final java.lang.String TYPE_INT

### TYPE_DOUBLE

    public static final java.lang.String TYPE_DOUBLE

### TYPE_DATE

    public static final java.lang.String TYPE_DATE

### TYPE_BOOL

    public static final java.lang.String TYPE_BOOL

### TYPE_XML

    public static final java.lang.String TYPE_XML

### TYPE_OBJECT

    public static final java.lang.String TYPE_OBJECT

### TYPE_SESSION

    public static final java.lang.String TYPE_SESSION

### TYPE_ENTITY

    public static final java.lang.String TYPE_ENTITY

### DEFAULT_DATE_FORMAT

    public static final java.lang.String DEFAULT_DATE_FORMAT

  Format used when setting a `TYPE_DATE` variable from a String. "MM/dd/yyyy hh:mm:ss aaa zzz"

### ALL_TYPES

    public static final java.lang.String[] ALL_TYPES

Constructor Detail

### VariableInfo

    public VariableInfo(java.lang.String name,
                        java.lang.Object value)

  Create a new `VariableInfo` object.

  Parameters:
    `name` - The variable name.
    `value` - The variable value.

### VariableInfo

    public VariableInfo(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value)

  Create a new `VariableInfo` object.

  Parameters:
    `name` - The variable name.
    `type` - The variable type.
    `value` - The variable value.

### VariableInfo

    public VariableInfo(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value,
                        VariableTypeInfo vti)

  Create a new `VariableInfo` object.

  Parameters:
    `name` - The variable name.
    `type` - The variable type.
    `value` - The variable value.
    `vti` - The associated VariableTypeInfo object for plugin defined variable types.

### VariableInfo

    public VariableInfo(java.lang.String name,
                        java.lang.String type)

  Create a new `VariableInfo` object.

  Parameters:
    `name` - The variable name.
    `type` - The variable type.
  Since:
    WebLogic Process Integrator 2.0

Method Detail

### validateType

    public static final void validateType(java.lang.String type)

  Check the specified type name for validity.

  Throws:
    java.lang.IllegalArgumentException - if `type` is invalid.

### validateTypes

    public static final void validateTypes(java.lang.String[] types)

  Check the specified type names for validity.

  Throws:
    java.lang.IllegalArgumentException - if any element of `types` is invalid.

### getName

    public final java.lang.String getName()

  Return the variable name.

  Returns:
    The variable name as set by the constructor.

### getType

    public final java.lang.String getType()

  Return the variable type.

  Returns:
    The variable type as set by the constructor.
  Since:
    WebLogic Process Integrator 2.0

### getValue

    public final java.lang.Object getValue()

  Return the variable value.

  Returns:
    The variable value as set by the constructor.

### isPluginDefined

    public final boolean isPluginDefined()

### getPluginVariableTypeInfo

    public final VariableTypeInfo getPluginVariableTypeInfo()

### equals

    public boolean equals(java.lang.Object obj)

  Test two `VariableInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `VariableInfo` with the same name as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `VariableInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `VariableInfo`.
  Returns:
    The result of comparing the `name` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `VariableInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)